/// <reference types="request" />
/// <reference types="request-promise-native" />
import { CoreOptions, RequestAPI } from 'request';
import { RequestPromise } from 'request-promise-native';
import { ServiceAuthTokenFactory } from '../security/serviceAuthTokenFactory';
import { Draft } from './draft';
import { Secrets } from '../crypto/secrets';
export declare class DraftService {
    private draftStoreUri;
    private request;
    private serviceAuthTokenFactory;
    constructor(draftStoreUri: string, request: RequestAPI<RequestPromise, CoreOptions, CoreOptions>, serviceAuthTokenFactory: ServiceAuthTokenFactory);
    find<T>(draftType: string, limit: string | undefined, userToken: string, deserializationFn: (value: any) => T, secrets?: Secrets): Promise<Draft<T>[]>;
    save<T>(draft: Draft<T>, userToken: string, secrets?: Secrets): Promise<void>;
    delete<T>(draftId: number, userToken: string): Promise<void>;
}
