/// <reference types="request" />
/// <reference types="request-promise-native" />
import { CoreOptions, RequestAPI } from 'request';
import { RequestPromise } from 'request-promise-native';
import { Draft } from './draft';
import { Secrets } from '../crypto/secrets';
export declare class DraftStoreClient<T> {
    private endpointURL;
    private serviceAuthToken;
    private request;
    constructor(endpointURL: string, serviceAuthToken: string, request: RequestAPI<RequestPromise, CoreOptions, CoreOptions>);
    find(query: {
        [key: string]: string;
    }, userAuthToken: string, deserializationFn: (value: any) => T, secrets?: Secrets): Promise<Draft<T>[]>;
    save(draft: Draft<T>, userAuthToken: string, secrets?: Secrets): Promise<void>;
    delete(draftId: number, userAuthToken: string): Promise<void>;
}
